<?php

class CCS_Article extends CCS_Squelette{
	private $date;
	private $catID;
	
	public function __construct($WP, $catID){
		parent::__construct($WP->ID, $WP->post_title, $WP);
		
		$this->catID = $catID;
		$this->date = $WP->post_date;
	}
	
	public function getDate($format = TRUE){
		return $format ? mysql2date(get_option('date_format'), $this->date) : $this->date;
	}
	
	public function getCategorieID(){
		return intval($this->catID);
	}
}

?>